The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"apt-get upgrade, apt-get dist-upgrade не видит обовлений"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Открытые системы на сервере (Системное и пользовательское ПО / Linux)
Изначальное сообщение [ Отслеживать ]

"apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Flatline email(??) on 07-Май-10, 11:03 
Доброе время суток!  Smiley

Есть два сервера с Ubuntu Server 10.04 подключенные к одному каналу интернет.
Интернет есть на каждом из серверов, команда apt-get update успешно проходит на обеих.
На одном из серверов команды apt-get upgrade, apt-get dist-upgrade показывают обновления и устанавливают их (конечно при их наличии в офф. репозиториях),
на втором в это же время эти команды не находят доступных обновлений.  idiot2

Сервер 1:
Код:

root@net:~# uname -a
Linux net 2.6.32-22-generic-pae #32-Ubuntu SMP Fri Apr 16 09:39:35 UTC 2010 i686 GNU/Linux


Сервер 2:
Код:

root@mx:~# uname -a
Linux mx 2.6.31-20-generic-pae #58-Ubuntu SMP Fri Mar 12 06:25:51 UTC 2010 i686 GNU/Linux

Код:

root@mx:~# apt-get update
Hit http://ua.archive.ubuntu.com lucid Release.gpg
Hit http://security.ubuntu.com lucid-security Release.gpg
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Hit http://ua.archive.ubuntu.com lucid-updates Release.gpg
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Hit http://ua.archive.ubuntu.com lucid Release
Hit http://security.ubuntu.com lucid-security Release
Hit http://ua.archive.ubuntu.com lucid-updates Release
Hit http://security.ubuntu.com lucid-security/main Packages          
Hit http://ua.archive.ubuntu.com lucid/main Packages
Hit http://ua.archive.ubuntu.com lucid/restricted Packages
Hit http://ua.archive.ubuntu.com lucid/main Sources
Hit http://ua.archive.ubuntu.com lucid/restricted Sources
Hit http://ua.archive.ubuntu.com lucid/universe Packages
Hit http://security.ubuntu.com lucid-security/restricted Packages
Hit http://security.ubuntu.com lucid-security/main Sources
Hit http://security.ubuntu.com lucid-security/restricted Sources
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://ua.archive.ubuntu.com lucid/universe Sources
Hit http://ua.archive.ubuntu.com lucid/multiverse Packages
Hit http://ua.archive.ubuntu.com lucid/multiverse Sources
Hit http://ua.archive.ubuntu.com lucid-updates/main Packages
Hit http://ua.archive.ubuntu.com lucid-updates/restricted Packages
Hit http://ua.archive.ubuntu.com lucid-updates/main Sources
Hit http://ua.archive.ubuntu.com lucid-updates/restricted Sources
Hit http://ua.archive.ubuntu.com lucid-updates/universe Packages
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources
Hit http://ua.archive.ubuntu.com lucid-updates/universe Sources
Hit http://ua.archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://ua.archive.ubuntu.com lucid-updates/multiverse Sources
Reading package lists... Done

Код:

root@mx:~# apt-get upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@mx:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Подскажите как починить обновление?

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Flatline email(??) on 07-Май-10, 12:37 
Скопировал с обновляющегося сервака source.list, выполнил apt-get update и как и раньше apt-get upgrade и dist-upgrade не показали доступных к обновлению пакетов.  

Замена зеркал с ua.archive.ubuntu.com на archive.ubuntu.com тоже не принесла результата.

Самое интересное что например новое ядро доступно, но почем-то не используется для обновления:


root@mx:~# uname -a
Linux mx 2.6.31-20-generic-pae #58-Ubuntu SMP Fri Mar 12 06:25:51 UTC 2010 i686 GNU/Linux
root@mx:~# apt-cache search linux-image | grep 2.6.32-22
linux-image-2.6.32-22-386 - Linux kernel image for version 2.6.32 on i386
linux-image-2.6.32-22-generic - Linux kernel image for version 2.6.32 on x86/x86_64
linux-image-2.6.32-22-generic-pae - Linux kernel image for version 2.6.32 on x86
linux-image-2.6.32-22-virtual - Linux kernel image for version 2.6.32 on x86/x86_64

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Flatline email(??) on 07-Май-10, 12:52 
Попробовал aptitude (после того как скопировал source.list с рабочего сервака) - результат тот же  

root@mx:/etc/apt# aptitude update 
Hit http://security.ubuntu.com lucid-security Release.gpg
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-en_US
Hit http://ua.archive.ubuntu.com lucid Release.gpg
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/universe Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-en_US
Hit http://ua.archive.ubuntu.com lucid-updates Release.gpg
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-en_US
Ign http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-en_US
Hit http://ua.archive.ubuntu.com lucid Release
Hit http://security.ubuntu.com lucid-security Release
Hit http://ua.archive.ubuntu.com lucid-updates Release
Hit http://security.ubuntu.com lucid-security/main Packages        
Hit http://ua.archive.ubuntu.com lucid/main Packages
Hit http://ua.archive.ubuntu.com lucid/restricted Packages
Hit http://ua.archive.ubuntu.com lucid/main Sources
Hit http://ua.archive.ubuntu.com lucid/restricted Sources
Hit http://ua.archive.ubuntu.com lucid/universe Packages
Hit http://security.ubuntu.com lucid-security/restricted Packages
Hit http://security.ubuntu.com lucid-security/main Sources
Hit http://security.ubuntu.com lucid-security/restricted Sources
Hit http://security.ubuntu.com lucid-security/universe Packages
Hit http://ua.archive.ubuntu.com lucid/universe Sources
Hit http://ua.archive.ubuntu.com lucid/multiverse Packages
Hit http://ua.archive.ubuntu.com lucid/multiverse Sources
Hit http://ua.archive.ubuntu.com lucid-updates/main Packages
Hit http://ua.archive.ubuntu.com lucid-updates/restricted Packages
Hit http://ua.archive.ubuntu.com lucid-updates/main Sources
Hit http://ua.archive.ubuntu.com lucid-updates/restricted Sources
Hit http://ua.archive.ubuntu.com lucid-updates/universe Packages
Hit http://security.ubuntu.com lucid-security/universe Sources
Hit http://security.ubuntu.com lucid-security/multiverse Packages
Hit http://security.ubuntu.com lucid-security/multiverse Sources
Hit http://ua.archive.ubuntu.com lucid-updates/universe Sources
Hit http://ua.archive.ubuntu.com lucid-updates/multiverse Packages
Hit http://ua.archive.ubuntu.com lucid-updates/multiverse Sources
Reading package lists... Done

root@mx:/etc/apt# aptitude safe-upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done

root@mx:/etc/apt# aptitude full-upgrade
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done


Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от shadow_alone (ok) on 07-Май-10, 23:09 
Случаем не давали команды aptitude hold на все пакеты?
попробуйте
aptitude unhold
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Flatline email(??) on 11-Май-10, 10:03 
>Случаем не давали команды aptitude hold на все пакеты?
>попробуйте
>aptitude unhold

Вроде команды не давал...
Попробовал aptitude unhold  - не помогло.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

5. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Flatline (??) on 04-Июн-10, 11:37 
>>Случаем не давали команды aptitude hold на все пакеты?
>>попробуйте
>>aptitude unhold
>
>Вроде команды не давал...
>Попробовал aptitude unhold  - не помогло.

Ядро не обновлялось по причине отсутствия пакетов linux-generic linux-image-generic linux-headers-generic

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Andrey Mitrofanov on 04-Июн-10, 12:12 
>root@mx:~# apt-get dist-upgrade

Можно я ещё побуду "флудерастом"? Спасибо.

Насколько я ничего не понимаю в Debian-е, dist-upgrade в "нормальной жизни" не нужен -- только при апгрейде, не поверите, на новый релиз дистрибутива (не поинт-релиз и не обновление безовасности) [ну, может, в сложных случаях поломки пакетов в каком-нибудь unstable---].

>Подскажите как починить обновление?

Таки всё ж "нормально". Upgrade ссказал - 0, значит ноль... Чего больше-то?

И кстати, да, [в Debian-е + backports, например], например, linux-image-2.6.32-bpo.2-amd64  и linux-image-2.6.26-2-amd64 - это разные пакеты и один не является "обновлением" другого. Хочешь новейшее ядро -- ставь руками, проверяй загрузку с ним, потом руками же удаляй старое (или оставляй). "Автоматом" максимум проапгрейдится _версия пакета, скажем, linux-image-2.6.26-2-amd64 с 2.6.26-17 до 2.6.26-22lenny1.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

7. "apt-get upgrade, apt-get dist-upgrade не видит обовлений"  +/
Сообщение от Flatline (??) on 04-Июн-10, 12:21 
>>root@mx:~# apt-get dist-upgrade
>
>Можно я ещё побуду "флудерастом"? Спасибо.
>
>Насколько я ничего не понимаю в Debian-е, dist-upgrade в "нормальной жизни" не
>нужен -- только при апгрейде, не поверите, на новый релиз дистрибутива
>(не поинт-релиз и не обновление безовасности) [ну, может, в сложных случаях
>поломки пакетов в каком-нибудь unstable---].

Для обновленяи к новому релизу существует другая команда do-release-upgrade, о назначении dist-upgrade читай man

>>Подскажите как починить обновление?
>
>Таки всё ж "нормально". Upgrade ссказал - 0, значит ноль... Чего больше-то?
>
>
>И кстати, да, [в Debian-е + backports, например], например, linux-image-2.6.32-bpo.2-amd64  и
>linux-image-2.6.26-2-amd64 - это разные пакеты и один не является "обновлением" другого.
>Хочешь новейшее ядро -- ставь руками, проверяй загрузку с ним, потом
>руками же удаляй старое (или оставляй). "Автоматом" максимум проапгрейдится _версия пакета,
>скажем, linux-image-2.6.26-2-amd64 с 2.6.26-17 до 2.6.26-22lenny1.

Между ядрами т.е. с более старого на более новое дист обновляет отлично - учи матчасть

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру